

#grid-container.core-default {
	//border-top: $greywarm-medium 1px solid;
	//border-top-left-radius: 5px;
  //border-top-right-radius: 5px;

  #title-bar {
    padding: 10px;
    font-weight: 500;
    font-size: x-large;
    border-bottom: $greywarm-darkest 1px solid;
  }

  #header-content {
    font-weight: bold;
    color: $greywarm-darkest;
   	//padding-left: 5px;
    //padding-top: 5px;
    border-bottom: $greywarm-darkest 1px solid;
  }

 	#header-content {
   	//padding-left: 5px;
    //padding-right: 5px;
  }

  #main-content {
  	//border-left: $greywarm-medium 1px solid;
  	//border-right: $greywarm-medium 1px solid;
  }

  #grid-footer {
  	//border-bottom: $grey-medium 1px solid;
  	//border-left: $greywarm-medium 1px solid;
  	//border-right: $greywarm-medium 1px solid;
    //border-bottom-left-radius: 5px;
  	//border-bottom-right-radius: 5px;
  }

  .hci-grid-header:nth-child(odd),
  .hci-grid-header.reverse:nth-child(even) {
    //background-color: $white-lightest;
    //border-bottom: $greywarm-medium 1px solid;
    //border-right: $greywarm-medium 1px solid;
  }

  .hci-grid-header:nth-child(even),
      .hci-grid-header.reverse:nth-child(odd) {
    //background-color: $white-lightest;
    //border-bottom: $greywarm-medium 1px solid;
    //border-right: $greywarm-medium 1px solid;
  }

  .hci-grid-iframe {
  	height: 0px !important;
  	width: 100% !important;
  }

  .hci-grid-row {
    width: 100%;
    height: 45px;
  }

  .hci-grid-row .hci-grid-cell:nth-child(odd),
      .hci-grid-row .hci-grid-cell.reverse:nth-child(even) {
    background-color: $white-medlight;
    color: $bluewarm-darkest;
    //border-right: $greywarm-medium 1px solid;
  }

  .hci-grid-row .hci-grid-cell:nth-child(even),
  .hci-grid-row .hci-grid-cell.reverse:nth-child(odd) {
    background-color: $white-medlight;
    color: $bluewarm-darkest;
    //border-right: $greywarm-medium 1px solid;
  }

  .hci-grid-row.odd .hci-grid-cell:nth-child(odd),
  .hci-grid-row.odd .hci-grid-cell.reverse:nth-child(even) {
    background-color: $white-lightest;
    color: $bluewarm-darkest;
    //border-right: $greywarm-medium 1px solid;
  }

  .hci-grid-row.odd .hci-grid-cell:nth-child(even),
  .hci-grid-row.odd .hci-grid-cell.reverse:nth-child(odd) {
    background-color: $white-lightest;
    color: $bluewarm-darkest;
    //border-right: $greywarm-medium 1px solid;
  }

  .hci-grid-row.even .hci-grid-cell:nth-child(odd).highlighted {
    background-color: $bluewarmvividfade-meddark;
    color: $bluewarm-darkest;
  }

  .hci-grid-row.even .hci-grid-cell:nth-child(even).highlighted {
    background-color: $bluewarmvividfade-meddark;
    color: $bluewarm-darkest;
  }

  .hci-grid-row.odd .hci-grid-cell:nth-child(odd).highlighted {
    background-color: $bluewarmvividfade-meddark;
    color: $bluewarm-darkest;
  }

  .hci-grid-row.odd .hci-grid-cell:nth-child(even).highlighted {
    background-color: $bluewarmvividfade-meddark;
    color: $bluewarm-darkest;
  }

  .hci-grid-row .hci-grid-cell.highlighted span {
    color: $white-lightest;
  }

  .hci-grid-cell {
    display: flex;
    align-items: center;
  }

  .hci-grid-cell.selected.top.left {
    border-top-left-radius: 10px;
  }

  .hci-grid-cell.selected.top.right {
    border-top-right-radius: 10px;
  }

  .hci-grid-cell.selected.bottom.left {
    border-bottom-left-radius: 10px;
  }

  .hci-grid-cell.selected.bottom.right {
    border-bottom-right-radius: 10px;
  }

  .hci-grid-cell.selected.left {
    border-left: #ffee00 2px solid;
  }

  .hci-grid-cell.selected.right {
    border-right: #ffee00 2px solid;
  }

  .hci-grid-cell.selected.top {
    border-top: #ffee00 2px solid;
  }

  .hci-grid-cell.selected.bottom {
    border-bottom: #ffee00 2px solid;
  }

  .hci-grid-row.selected .hci-grid-cell:nth-child(even) {
    background-color: $bluewarmvividfade-meddark;
    color: $bluewarm-darkest;
  }

  .hci-grid-row.selected .hci-grid-cell:nth-child(odd) {
    background-color: $bluewarmvividfade-meddark;
    color: $bluewarm-darkest;
  }

  .hci-grid-row.odd.selected .hci-grid-cell:nth-child(even) {
    background-color: $bluewarmvividfade-meddark;
    color: $bluewarm-darkest;
  }

  .hci-grid-row.odd.selected .hci-grid-cell:nth-child(odd) {
    background-color: $bluewarmvividfade-meddark;
    color: $bluewarm-darkest;
  }

  #grid-footer {
    background-color: $white-darker;
  }

  #grid-footer div div {
    color: $greywarm-darkest;
  }

  #grid-footer .fa-fast-backward, .fa-backward, .fa-forward, .fa-fast-forward {
    color: $greywarm-darkest;
  }

  .ng-invalid {
    color: $pure-red;
  }

  .hci-grid-cell.ng-invalid {
    background-color: rgba(255, 0, 0, 0.1);
  }

  .btn-save {
    background-color: lightgreen;
    border-color: green;
    color: $greywarm-darkest;
  }

  .btn-cancel {
    background-color: lightcoral;
    border-color: red;
    color: $greywarm-darkest;
  }

  .new-row {
    border: green 1px solid;
    box-shadow: $greywarm-darkest 0px 4px 16px;
  }

  .sort-icon {
    color: $grey-darkest;
  }

  .sort-icon.primary {
    color: $pure-lime;
  }

}

.hci-grid.core-default.column-header-tooltip {
  background-color: #3d7a99;
  color: $white-lightest;
  border: greywarm-darkest 1px solid;
  border-radius: 0.5rem;
  padding: 0.1rem 0.5rem;
}

.hci-grid-header.core-default.drag-n-drop {
  background-color: #3d7a99;
  font-weight: bold;
  color: $white-lightest;
  border: $greywarm-darkest 1px solid;
}

.ag-theme-balham .ag-filter-toolpanel-header,
  .ag-theme-balham .ag-filter-toolpanel-search,
  .ag-theme-balham .ag-status-bar,
  .ag-theme-balham .ag-header-row,
  .ag-theme-balham .ag-multi-filter-group-title-bar {
  color: var(--grey-darker);
}
